# fontcache.h File Reference

Functions to read fonts from files and cache them. More...

`#include "gfx_type.h"`
`#include "spritecache.h"`

Go to the source code of this file.

## Functions

SpriteID | GetUnicodeGlyph (FontSize size, uint32 key)
| Get the SpriteID mapped to the given font size and key.
void | SetUnicodeGlyph (FontSize size, uint32 key, SpriteID sprite)
| Map a SpriteID to the font size and key.
void | InitializeUnicodeGlyphMap ()
| Initialize the glyph map.
void | ResetFontSizes ()
| Reset the font sizes to the defaults of the sprite based fonts.
static void | InitFreeType ()
static void | UninitFreeType ()
static const Sprite * | GetGlyph (FontSize size, uint32 key)
| Get the Sprite for a glyph.
static uint | GetGlyphWidth (FontSize size, uint32 key)
| Get the width of a glyph.

## Detailed Description

Functions to read fonts from files and cache them.

Definition in file fontcache.h.

## Function Documentation

void ResetFontSizes | ( |  | ) |

Reset the font sizes to the defaults of the sprite based fonts.

Definition at line 1039 of file fontcache.cpp.

References _font_height, FS_LARGE, FS_NORMAL, and FS_SMALL.